Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Shell::Default::Plugins::Remote

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Shell::Default::Plugins::Remote

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO

# NAME

CPANPLUS::Shell::Default::Plugins::Remote - connect to a remote CPANPLUS

# SYNOPSIS

        CPAN Terminal> /connect localhost 1337 --user=foo --pass=bar    ...    CPAN Terminal@localhost> /disconnect

# DESCRIPTION

This is a `CPANPLUS::Shell::Default` plugin that allows you to connect to a machine running an instance of `CPANPLUS::Daemon` , allowing remote usage of the `CPANPLUS Shell` .

A sample session, updating all modules on a remote machine, might look like this:

        CPAN Terminal> /connect --user=my_user --pass=secret localhost 1337        Connection accepted        Successfully connected to 'localhost' on port '11337'        Note that no output will appear until a command has completed        -- this may take a while        CPAN Terminal@localhost> o; i *        [....]        CPAN Terminal@localhost> /disconnect    CPAN Terminal>

# BUG REPORTS

Please report bugs or other issues to <bug-cpanplus@rt.cpan.org<gt>.

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# COPYRIGHT

The CPAN++ interface (of which this module is a part of) is copyright (c) 2001 - 2007, Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

# SEE ALSO

CPANPLUS::Shell::Default, CPANPLUS::Shell, cpanp

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO